Skip to main content
GET
/
v1
/
cashflow
/
summary
cURL
curl --request GET \
  --url https://external.vin.gs/api/v1/cashflow/summary \
  --header 'Authorization: Bearer <token>'
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

fetch('https://external.vin.gs/api/v1/cashflow/summary', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
import requests

url = "https://external.vin.gs/api/v1/cashflow/summary"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.text)
package main

import (
"fmt"
"net/http"
"io"
)

func main() {

url := "https://external.vin.gs/api/v1/cashflow/summary"

req, _ := http.NewRequest("GET", url, nil)

req.Header.Add("Authorization", "Bearer <token>")

res, _ := http.DefaultClient.Do(req)

defer res.Body.Close()
body, _ := io.ReadAll(res.Body)

fmt.Println(string(body))

}
{
  "expenseTotal": {
    "amount_cents": 123,
    "currency": "<string>"
  },
  "incomeTotal": {
    "amount_cents": 123,
    "currency": "<string>"
  },
  "net": {
    "amount_cents": 123,
    "currency": "<string>"
  }
}
{
"error": {
"code": "UNAUTHORIZED",
"message": "Missing bearer token",
"details": null,
"requestId": "<string>"
}
}
{
"error": {
"code": "UNAUTHORIZED",
"message": "Missing bearer token",
"details": null,
"requestId": "<string>"
}
}
{
"error": {
"code": "UNAUTHORIZED",
"message": "Missing bearer token",
"details": null,
"requestId": "<string>"
}
}

Authorizations

Authorization
string
header
required

Vings OAuth access token or personal access token (vng_pat_…). Use Authorization: Bearer ….

Query Parameters

dateFrom
string
Example:

"2026-01-01"

dateTo
string
Example:

"2026-01-31"

timeRange
enum<string>
Available options:
1m,
3m,
6m,
1y,
all

Response

Cashflow summary

expenseTotal
object
required

Total expenses in user's preferred currency

incomeTotal
object
required

Total income in user's preferred currency

net
object
required

Net cashflow (income - expenses) in user's preferred currency